Bug 969079 - spice-client crashes in fluxbox
spice-client crashes in fluxbox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 11:29 EDT by Pavel Zhukov
Modified: 2014-06-18 03:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-09 05:01:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 36601 None None None Never

  None (edit)
Description Pavel Zhukov 2013-05-30 11:29:11 EDT
Description of problem:
spice-client crashes in fluxbox window manager

Version-Release number of selected component (if applicable):
spice-client-0.12.3-1.fc19.x86_64
fluxbox-1.3.5-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
$ spicec -h <hostname> -p <port>

Actual results:
Error: x error on display :0.0 error BadMatch (invalid parameter attributes)
minor 0 request X_SetInputFocus

Expected results:
spice client should work

Additional info:
https://bugs.gentoo.org/show_bug.cgi?id=448316
https://bugs.freedesktop.org/show_bug.cgi?id=36601
Comment 1 David Jaša 2013-06-07 09:58:44 EDT
Hi Pavel, it is very unlikely that bugs in spice-client will get ever fixed, as spicec was superseded by clients based on spice-gtk library about a year ago.

Could you please try to reproduce the crash with:
# yum install virt-viewer
$ remote-viewer spice://<hostname>:<port>/
please? Thank you.
Comment 2 Pavel Zhukov 2013-06-07 11:00:54 EDT
Hi David. 
virt-viewer works for be even without spice-client installed (using spice-gtk). Is spicec deprecated?
Comment 3 David Jaša 2013-06-07 12:21:10 EDT
(In reply to Pavel Zhukov from comment #2)
> Hi David. 
> virt-viewer works for be even without spice-client installed (using spice-gtk).

yes.

> Is spicec deprecated?

yes.

Note You need to log in before you can comment on or make changes to this bug.